using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Account;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Account;

[YPassportRequest(WebRequestMethods.Http.Post, "auth/letter/status/")]
internal class YGetAuthLoginLetterBuilder : YRequestBuilder<YAuthLetterStatus, string>
{
    public YGetAuthLoginLetterBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override HttpContent GetContent(string tuple)
    {
        return new FormUrlEncodedContent(new Dictionary<string, string> {
            { "csrf_token", storage.AuthToken.CsfrToken },
            { "track_id", storage.AuthToken.TrackId },
        });
    }
}